SearchItem

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.help.search
Class SearchItem

    java.lang.Object
      |
      +--javax.help.search.SearchItem

public class SearchItem
extends java.lang.Object

A SearchItem corresponds to one specific item found in a search query. SearchItems are used in the default Search navigator.

See Also:
  `SearchTOCItem`, `SearchEvent`, `SearchListener`

Constructor Summary
`SearchItem(java.net.URL base, java.lang.String title, java.lang.String lang, java.lang.String filename, double confidence, int begin, int end, java.util.Vector concepts)` Constructs a SearchItem

Method Summary
`java.net.URL` | `getBase()` Gets the base of the SearchItem.
`int` | `getBegin()` Gets the begin pointer position for the hit.
`java.util.Enumeration` | `getConcepts()` If there are "concepts" against which the query is made, this is an enumeration of the concepts.
`double` | `getConfidence()` Gets the confidence value for the hit.
`int` | `getEnd()` Gets the ending pointer position.
`java.lang.String` | `getFilename()` Gets the spec (as a URL relative to getBase() ) to the document.
`java.lang.String` | `getLang()` Gets the lang of the SearchItem.
`java.lang.String` | `getTitle()` Gets the title of the SearchItem.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SearchItem

    public SearchItem(java.net.URL base,
                      java.lang.String title,
                      java.lang.String lang,
                      java.lang.String filename,
                      double confidence,
                      int begin,
                      int end,
                      java.util.Vector concepts)

  Constructs a SearchItem

Parameters:
  `base` - The URL to the base from which file is a spec.
  `title` - Title of the item
  `lang` - A string representation of the locale. A null lang is valid and represents the default locale.
  `filename` - FileName for the item.
  `confidence` - How closely this matches the params.
  `begin` - Starting position where the (requested) match has been found.
  `end` - Ending position.
  `concepts` - A vector of concepts.

Method Detail

### getBase

    public java.net.URL getBase()

  Gets the base of the SearchItem.

  Returns:
    The base for this SearchItem. Should be used with filename to obtain a URL to the desired hit.

### getTitle

    public java.lang.String getTitle()

  Gets the title of the SearchItem.

  Returns:
    The title of the document. Used to present the hit in the navigator.

### getLang

    public java.lang.String getLang()

  Gets the lang of the SearchItem.

  Returns:
    The title of the document. Used to present the hit in the navigator.

### getFilename

    public java.lang.String getFilename()

  Gets the spec (as a URL relative to getBase() ) to the document.

  Returns:
    The spec, relative to getBase(), to the document containing the hit.

### getConfidence

    public double getConfidence()

  Gets the confidence value for the hit.

  Returns:
    The confidence value for the hit. This measures how "good" the hit is. The lower the value the better.

### getBegin

    public int getBegin()

  Gets the begin pointer position for the hit.

  Returns:
    The starting position for the area in the document where a hit is found.

### getEnd

    public int getEnd()

  Gets the ending pointer position.

  Returns:
    The ending position for the area in the document where a hit is found.

### getConcepts

    public java.util.Enumeration getConcepts()

  If there are "concepts" against which the query is made, this is an enumeration of the concepts. Otherwise null.

  Returns:
    An enumeration of the concepts found in this query.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD